package com.dowerx.quack.model;

public class Post {
    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public int getLikes() {
        return likes;
    }

    public void setLikes(int likes) {
        this.likes = likes;
    }

    public boolean isLiked() {
        return liked;
    }

    public void setLiked(boolean liked) {
        this.liked = liked;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Post(User user, String content, String image, int likes, boolean liked, String id) {
        this.user = user;
        this.content = content;
        this.image = image;
        this.likes = likes;
        this.liked = liked;
        this.id = id;
    }

    private User user;
    private String content;
    private String image;
    private int likes;
    private boolean liked;
    private String id;
}
